Mplayer - Instalação e utilização

O Mplayer é o player de vídeo mais utilizado pelos usuários Linux e foi procurando informações sobre sua utilização na internet que percebi uma certa carência de um artigo sobre ele aqui no site, por isso resolvi escrever esse guia que explica sua instalação e utilização.

[ Hits: 62.419 ]

Por: Diogo Menezes em 07/12/2005 | Blog: http://www.diogomenezes.com


Instalação



Primeiramente você deverá baixar o pacote tar.bz2 do Mplayer em :
Descompacte o arquivo baixado com o comando:

# tar jxvf MPlayer-1.0pre7try2.tar.bz2
# cd Mplayer-1.0pre7try2


Para a compilação do mesmo existem várias opções especiais, abaixo citarei algumas:
  • --enable-gui : Habilita a interface gráfica, gmplayer;
  • --enable-menu : Habilita o menu OSD;
  • --language=pt_BR : Habilita linguagem pt_BR;
  • --enable-win32 : Habilita suporte a codecs win32
  • --enable-real : Habilita suporte a codecs Real Player;
  • --enable-xanim : Habilita suporte a codecs Xanim;
  • --enable-mpdvdkit : Habilita reprodução de DVD;
  • --enable-largefiles : Habilita suporte para arquivos maiores de 2GB;
  • --enable-xmms : Habilita suporte para plugins do Xmms;
  • --enable-xv : Habilita suporte ao modo de vídeo xv;

Para mais parâmetros:

# ./configure -help

Veremos agora um exemplo de compilação:

# ./configure --language=pt_BR --enable-mpdvdkit
--enable-menu --enable-win32 --enable-largefiles
--enable-xanim --enable-xv --enable-gui
--enable-real --enable-xmms


# make && make install

OBS: Um erro comum nessa parte da compilação é:

Error: The GUI requires GTK devel packages (which were not found)

Para resolver esse problema, instale a libguile-gtk-1.2_0-devel. No meu caso (Debian), tive que instalar também a libgtk-dev e libgtk2-dev.

    Próxima página

Páginas do artigo
   1. Instalação
   2. Baixando e instalando codecs, fontes e skins
   3. Reprodução
   4. Conclusão
Outros artigos deste autor

Criando e fechando portas no seu Linux

Usando direcionadores de fluxo

Configurando o Velox no seu Linux

Linux, porque não?

Agendando tarefas com o crontab

Leitura recomendada

Zenwalk - Uma distro e tanto

Macromedia Studio 8 no Wine em detalhes

AMSN, uma opção Open Source para o Messenger da Microsoft

Um tour pelos players de áudio para Linux

Instalando discador "vppp" para terminais leves

  
Comentários
[1] Comentário enviado por bestlinux em 07/12/2005 - 09:00h

Muito bom :-)

Parabéns....foi um dos artigos mais completos sobre a instalação e configuração do MPlayer que ja vi.

Apesar de não usar o MPlayer (uso o GXine) gostei do artigo.

Falow !

[2] Comentário enviado por reimassupilami em 07/12/2005 - 09:13h

cara, que bacana seu artigo, ele está bem mais completo do que outros tantos que tenho consultado ultimamente...

ainda não testei com seu artigo, mas todas minhas outras tentativas no slackware foram frustradas... meu pc tem video onboard de 32Mb, e quando usava o mplayer no mandrake era muito bom, rodava filmes perfeitamente... depois que passei a usar slackware nunca mais consegui assistir videos com descencia, nem com mplayer nem qualquer outro player... o que acontece é que sempre tenho q assistir o video em uma tela pequena, pois se coloco no double size ou full screen fica tudo travando, uma porcaria, ehhehhehe...

vc tem ideia do que pode ser? se eu nao tivesse visto rodando bem no tempo do mandrake eu poderia considerar q é problema de hardware fraco e ja desistia, mas eu vi, entao deve ter algum esquema com o slackware tb...

[3] Comentário enviado por nigthwing em 07/12/2005 - 09:31h

Realmente o mplayer é muito bom, mas a melhor versão dele é em linha de comando mesmo.

tenho um PII300 que me permite assistir até divix, desde que o tamanho da tela do filme não seja muito grande.

Reimassupilami. talvez seja devido ao peso do ambiente gráfico que os videos ficam um pouco ruins. tente rodar em modo texto puro. Eui tb uso slack e aqui roda legal, apesar do micro antigo como eu disse acima...

[4] Comentário enviado por reimassupilami em 07/12/2005 - 09:37h

nowssa, mas como assim rodar em modo texto? video em modo texto? eita... ehehehe...

entao, eu uso kde... posso até tentar usar outro ambienta mais leve, derepente... mas acho q nao é isso hein, no mandrake tb usava kde...

[5] Comentário enviado por bestlinux em 07/12/2005 - 10:23h

Fala ae...blz

Acho que ele quis dizer assim, para você rodar diretamente pelo terminal, por exemplo:

$mplayer -fs arquivo.avi

Foi isso que entendi...ehehehheh

Falow !

[6] Comentário enviado por reimassupilami em 07/12/2005 - 10:27h

hum, só se for então... fiquei na dúvido pelo "modo texto puro", ehhee...

[7] Comentário enviado por newloran2 em 07/12/2005 - 10:53h

tenta fazer assim reimassupilami:
ALT+F2, se loga e no terminal digita mplayer -fs -vo fbdev arquivodevideo .
fazendo assim da pra ver sossegado videos até mesmo em divix sossegado.
ou então se quiser ver em modo texto mesmo faz assim:
num terminal (pode ser um terminal grafico como o xterm mesmo)
mplayer -vo aa arquivodevideo

isso da um efeito muito legal.


[8] Comentário enviado por reimassupilami em 07/12/2005 - 11:10h

caramba, interessante hein... vou tentar sim, vamos ver no q dá, ehhee... valeu...

[9] Comentário enviado por cn9boy em 07/12/2005 - 12:43h

Que bom que gostaram do artigo ! Ja estou bolando um novo e em breve estara por aqui !

Reimassupilami, isso mesmo assim como os demais tambem sugiro que voce tente a execuçao diretamente de um terminal !

[10] Comentário enviado por laranjeira em 07/12/2005 - 13:52h

Muito bom..valeu!

[11] Comentário enviado por agk em 07/12/2005 - 14:06h

Muito bom o artigo, parabéns.
Eu utilizava o mplayer, agora utilizo o kaffeine player. Para quem tem uma máquina boa o kaffeine é uma mão na roda, ele simplesmente faz tudo, alias quase tudo, a única coisa que eu não consegui rodar nele foi arquivos midi, o resto: avi, mpeg, mov, dvix, xvid, wma, wmv, radios online, vcd, cd's de audio, dvd, mp3, bem não teve o que eu tentei que não rodou.
[ ]'s.

[12] Comentário enviado por jcristiano em 07/12/2005 - 14:43h

Para os adeptos de rádio online é possível baixar o plugin do mplayer para o firefox.

http://mplayerplug-in.sourceforge.net/download.php

Funciona na rádio uol.

[13] Comentário enviado por gocorrea em 07/12/2005 - 16:21h

Bom, eu nunca consegui instalar o mplayer no slackware. Aproveitando o artigo tentei instalar de novo retornando o erro:

/usr/X11/include/GL/glxext.h:267: error: redefinition of `GLXFBConfigSGIX'
/usr/X11/include/GL/glx.h:156: error: `GLXFBConfigSGIX' previously declared here
make[1]: *** [vo_gl.o] Error 1
make[1]: Leaving directory `/home/gustavo/downloads/MPlayer-1.0pre7try2/libvo'
make: *** [libvo/libvo.a] Error 2

Alguém tem alguma ideia?

[14] Comentário enviado por reimassupilami em 07/12/2005 - 22:18h

newloran2, cara, q doido esse esquema de rodar video em modo texto, hahahha... ta certo q é meio bagunçado, mas q funciona owpa se funciona, ehuhuhuaa... legal... isso usando o mplayer -vo aa

mas para o video grafico mesmo, com o mplayer -fs -vo fbdev, nao deu certo... dae esse erro de permissão:

Linux RTC init error in ioctl (rtc_irqp_set 1024): Permission denied

mas nao encontrei esse arquivo pra tentar resolver...

[15] Comentário enviado por m3ocs-d4rksun em 08/12/2005 - 00:02h

aee..
estava pensando em fazer um artigo sobre isso.. ehehe...
você foi mais rapido que eu...

falow ae

[16] Comentário enviado por cn9boy em 08/12/2005 - 00:03h

hehehe ae !


reimassupilami para resolver esse problema ai de permissao tente dar um

xhost +

Vlw !

[17] Comentário enviado por romarioj em 08/12/2005 - 10:57h

reimassupilami, execute o comando mplayer arquivovideo como root, nem precisa usar a flag -vo, o mplayer detecta automaticamente.

té mais.

[18] Comentário enviado por felipefoz em 11/12/2005 - 16:44h

eh verdade o que dizem, ele é um ótimo player, mas a parte gráfica dele, o gmplayer é ruinzão, cheio de bugs, qd roda por comandos, é uma beleza!!!

[19] Comentário enviado por dac em 02/01/2006 - 19:22h

muito lindo cara
consegui fazer isso certinho na 2° vez, ahauha
vo testa ja os meus videos aki
vlw msm por esse tuto do mplyer ai mano

[20] Comentário enviado por PCMasterPB em 23/01/2006 - 02:38h

O erro sobre o gtk+ eu tb já tinha resolvido aqui no Suse 9.3 (eu não conseguia compilar com --enable-gui). Baixei a glib-1.2.10 e o gtk+-1.2.10, compilei a glib depois o gtk+ (ele depende da glib). Depois disso eu consegui. Eu poderia ter economizado um bom tempo se tivesse lido seu artigo. ;D

Realmente o seu artigo está show de bola, parabéns!

[21] Comentário enviado por gertran em 25/01/2006 - 13:17h

Ola Pessoal, li todo artigo com todas as resposta e contribuicoes, que por sinal voces todos estao de parabens, estou entrando agora no mundo linux e realmente existe um companherismo dos linuxqisistas, mais fui instalar o MPlayer e comigo nao deu certo, nao sei se quem instalou o linux nao colocou tudo q deveria, pois, deu os seguintes erros.. --
[Player-1.0pre7try2]# ./configure --language=pt_BR --enable-mp
dvdkit --enable=menu --enable-win32 --enable-largefiles --enable-xanim --en
able-xv --enable-gui --enable-real --enable-xmms
Detected operating system: Linux
Detected host architecture: i386
Checking for cc version ... 4.0.2, bad
Checking for gcc version ... 4.0.2, bad
Checking for gcc-3.4 version ... not found
Checking for gcc-3.3 version ... not found
Checking for gcc-3.2 version ... not found
Checking for gcc-3.1 version ... not found
Checking for gcc3 version ... not found
Checking for gcc-3.0 version ... not found
Checking for cc version ... 4.0.2, bad

*** Please downgrade/upgrade C compiler to version gcc-2.95.x or gcc-3.x! *
**

You are not using a supported compiler. We do not have the time to make sur
e
everything works with compilers other than the ones we use. Use either the
same compiler as we do, or use --disable-gcc-checking but DO *NOT* REPORT B
UGS
unless you can reproduce them after recompiling with a 2.95.x or 3.x versio
n!

Note for gcc 2.96 users: Some versions of this compiler are known to miscom
pile
mplayer and lame (which is used for mencoder). If you get compile errors,
first upgrade to the latest 2.96 release (minimum 2.96-85) and try again.
If the problem still exists, try with gcc 3.x (or 2.95.x) *BEFORE* reportin g
bugs!

GCC 2.96 IS NOT AND WILL NOT BE SUPPORTED BY US !

*** For details please read DOCS/HTML/en/users-vs-dev.html ***


Error: Bad gcc version

Check "configure.log" if you do not understand why it failed.

[22] Comentário enviado por PCMasterPB em 26/01/2006 - 01:14h

Bom gertran, seguindo a lógica desse texto:

"Checking for cc version ... 4.0.2, bad
Checking for gcc version ... 4.0.2, bad"
...

Sua versão do cc e gcc não são compatíveis para compilação do pacote em questão, no caso o mplayer.

[23] Comentário enviado por cn9boy em 11/03/2006 - 17:00h

Realmente Gertran, sua versao do gcc nao é suportada para a compilacao do mplayer, tente instalar uma outra e compilar novamente.

Abraços,
Diogo Leitão Menezes.

[24] Comentário enviado por gurski em 15/05/2006 - 13:28h

Reimassupilami, tava acontecendo a mesma coisa comigo, só conseguia rodar os filmes em uma tela pequena,..... consegui fazer rodar assim
$ mplayer -zoom -fs filme.avi
[]s

[25] Comentário enviado por sinistrox em 02/08/2006 - 20:24h

Galera segui esses passos deu tudo certo mas quando eu mando ele abrir um arquivo o vídeo aprece todo quadrado não dá pra entender nada, a imagem é horrível! só o som que dá pra entender!! blz
o pode ser?
instalei os codecs igual é falado!
????????

[26] Comentário enviado por Warheart em 17/08/2006 - 23:27h

Vai em http://www.linuxpackages.net e coloca em Search!

Procura pela lib "Lame" (sem aspas)

Ela vai resolver um problema com libmp3lame

ps: válido para slackware

[27] Comentário enviado por robson..pba em 19/08/2006 - 14:14h

pcmaster PB tive o mesmo problema do amigo e detectei que seria necessario uma nova versao do gcc ja que a instala era 4.01. usei o comando rpm - gcc e removou a versao apos isso usei rpm -ivh gcc ai ele instala a versao 4.0.1 e nao a versao que preciso 3.x ou 2.95
Não consigo instalar a versao que quero, que no caso é 2.95 ou 3.x

Como eu faço

[28] Comentário enviado por yetlinux em 04/11/2006 - 23:07h

Até o momento, o link http://www2.mplayerhq.hu/MPlayer/releases/codecs/">http://www2.mplayerhq.hu/MPlayer/releases/codecs/essential-20050412.tar.bz2">http://www2.mplayerhq.hu/MPlayer/releases/codecs/">http://www2.mplayerhq.hu/MPlayer/releases/codecs/essential-20050412.tar.bz2 está quebrado.

O link http://www2.mplayerhq.hu/MPlayer/releases/codecs/">http://www2.mplayerhq.hu/MPlayer/releases/codecs/ leva ao diretório dos codecs. Necessário escolher o mais atual.

O link http://www2.mplayerhq.hu/MPlayer/releases/ leva ao diretório geral de arquivos do MPlayer.




[29] Comentário enviado por meo4u em 01/06/2007 - 22:02h

Preciso de ajuda.
Instalei o Mplayer

mas quando tento rodar um video recebo a seguinte mensagem de erro:

Error opening/initializing the selected video_out (-v0) device.

[30] Comentário enviado por error13 em 14/08/2008 - 20:52h

estou com este problema...

[root@localhost MPlayer-1.0pre7try2]# ./configure
Detected operating system: Linux
Detected host architecture: i386
Checking for cc version ... 4.2.2, bad
Checking for gcc version ... 4.2.2, bad
Checking for gcc-3.4 version ... not found
Checking for gcc-3.3 version ... not found
Checking for gcc-3.2 version ... not found
Checking for gcc-3.1 version ... not found
Checking for gcc3 version ... not found
Checking for gcc-3.0 version ... not found
Checking for cc version ... 4.2.2, bad

*** Please downgrade/upgrade C compiler to version gcc-2.95.x or gcc-3.x! ***

You are not using a supported compiler. We do not have the time to make sure
everything works with compilers other than the ones we use. Use either the
same compiler as we do, or use --disable-gcc-checking but DO *NOT* REPORT BUGS
unless you can reproduce them after recompiling with a 2.95.x or 3.x version!

Note for gcc 2.96 users: Some versions of this compiler are known to miscompile
mplayer and lame (which is used for mencoder). If you get compile errors,
first upgrade to the latest 2.96 release (minimum 2.96-85) and try again.
If the problem still exists, try with gcc 3.x (or 2.95.x) *BEFORE* reporting
bugs!

GCC 2.96 IS NOT AND WILL NOT BE SUPPORTED BY US !

*** For details please read DOCS/HTML/en/users-vs-dev.html ***


Error: Bad gcc version

Check "configure.log" if you do not understand why it failed.

ja procurei aki no site.... ja procurei no google, mais acho como instalar o gcc 2.96, como faco?
pq pelo que eu li aki... o mplayer só funciona com este complidor estou correto?
se alguem puder me ajudar eu agradeco.

[31] Comentário enviado por sitjunior em 24/10/2008 - 14:21h

Negativo amigo.

A mensagem de erro de compilação é bastante clara. O MPlayer não possui suporte para o GCC 2.96. Ele está pedindo para você fazer a compilação com GCC 2.95.x ou 3.x.

Normalmente para compilar o MPlayer, você precisa ter certeza de quais versões do GCC que ele precisa.

Você possui o GCC 4.2.2. Acho que a versão mais nova do MPlayer é compatível com essa versão. Tente baixá-la.


[32] Comentário enviado por luth3rk1ng em 02/05/2009 - 11:26h

Bom dia kara...
E o seguinte sou iniciante no slack e estava tentado instalar o MPlayer atraves do seguindo seu artigo, e entao ja em um dos primeiros passo o "./confiure". Aconteceu o mesmo erro do nosso amigo acima "sitjunior" entao eu baixei e instalei a ultima atualizacao q encontri do gcc 4.4.0 (entao seguindo a instalacao do tal gcc descompactei ele, entrei na sua pasta e dei o "./configure" q correu tudo certo, dai entao dei o comando "make" q no final deu o error

configure: error: in `/root/Desktop/gcc-4.4.0/i686-pc-linux-gnu/boehm-gc':
configure: error: changes in the environment can compromise the build
configure: error: run `make distclean' and/or `rm ./config.cache' and start over
make[1]: *** [configure-target-boehm-gc] Error 1
make[1]: Leaving directory `/root/Desktop/gcc-4.4.0'
make: *** [all] Error 2


Dai entao parei sem conseguir instalar o gcc e menos ainda o MPlayer
sera q vc podiria me ajudar com um passo a passo kara, se no for pedir demais...
Desde ja agradecido...

[33] Comentário enviado por sitjunior em 02/05/2009 - 12:34h

Olá luth3rk1ng,

O slack não possui um pacote já compilado do gcc ou até mesmo do MPlayer? Normalmente é mais fácil e seguro instalar um programa já compilado para a distro.
Se o slack não possui o MPlayer, pelo menos uma versão mais atual do GCC para você prosseguir com a compilação.
O importante é que quanto menos você precisar compilar um programa, melhor. Eu mesmo já percebi que uma compilação própria nem sempre é tão estável quanto um pacote já compilado especialmente para a distro.

No seu caso acima, ele sugeriu que você executa-se os seguintes comandos para limpar sua compilação:

make distclean
(e/ou)
rm ./config.cache

Caso não funcione, verifique a versão do GCC que você possui no sistema com o comando:
gcc -v

Depois, consulte o manual do MPlayer para ver se ele suporta sua versão.

[34] Comentário enviado por michaelmarinho em 22/12/2009 - 12:09h

mplayer video_out error

Para resolver este erro no mplayer:

Abrir o Mplayer, clicar com o botão direito do mouse, ir em Preferências, ir para a aba "Video", em "Available Drivers" selecionar xv, fechar o Mplayer e reabri-lo. Agora tente abrir o seu vídeo.

Caso o Mplayer não esteja carregando os arquivos de legendas corretamente faça o seguinte:

Abrir o Mplayer, clicar com o botão direito do mouse, ir em Preferências, ir para a aba "Subtitles & OSD" , na área de "Substitle" aonde se lê "Encoding" abra a lista dropdown e selecione "Western European Languages (ISO-8859-1)" e abaixo selecione apenas "Unicode subtitle". Clique em OK, feche e reabra o Mplayer, abra seu arquivo de vídeo e seja feliz.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts